/**
 * ActClassROI.java
 *
 * File generated from the medication::ActClassROI uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassROI.
 *
 * 
 */

@XmlType(name = "ActClassROI")
@XmlEnum
@XmlRootElement(name = "ActClassROI")
public enum ActClassROI {
	@XmlEnumValue("ROIBND")
	ROIBND("ROIBND"),
	@XmlEnumValue("ROIOVL")
	ROIOVL("ROIOVL");
	
	private final String value;

    ActClassROI(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassROI fromValue(String v) {
        for (ActClassROI c: ActClassROI.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}